List Gmail labels
curl --request GET \
--url https://api.openworklabs.com/v1/capabilities/google-workspace/gmail-labels \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openworklabs.com/v1/capabilities/google-workspace/gmail-labels"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openworklabs.com/v1/capabilities/google-workspace/gmail-labels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"labels": [
{
"id": "<string>",
"name": "<string>",
"type": "user"
}
]
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"capability": "<string>"
}{
"error": "unauthorized"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "invalid_request",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Capability Sources
List Gmail labels
Returns user and system labels with IDs and types; only user labels can be edited or deleted. Requires gmail.labels, gmail.readonly, gmail.metadata or gmail.modify. Uses only the calling member’s selected connected Google account. Perform writes only when explicitly requested by the user; capability discovery or selection is not authorization. Never automatically retry an uncertain write.
GET
/
v1
/
capabilities
/
google-workspace
/
gmail-labels
List Gmail labels
Was this page helpful?